Bug 497465 - Review Request: perl-Config-INI - Config::INI Perl module
Summary: Review Request: perl-Config-INI - Config::INI Perl module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-24 03:59 UTC by Iain Arnell
Modified: 2009-05-19 02:12 UTC (History)
4 users (show)

Fixed In Version: 0.014-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-19 02:08:16 UTC
Type: ---
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2009-04-24 03:59:33 UTC
Spec URL: http://iarnell.fedorapeople.org/review/perl-Config-INI.spec
SRPM URL: http://iarnell.fedorapeople.org/review/perl-Config-INI-0.014-1.fc12.src.rpm
Description: Config::INI - simple .ini-file format.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1318286

(and Chris, if you're reading, reviewtool refused to submit this - presumably because it found a review for perl-Config-IniHash - where do you want bug reports?)

Comment 1 Susi Lehtola 2009-04-25 08:05:21 UTC
Doesn't build in mock:

ERROR: Bad build req: No Package Found for perl(Mixin::Linewise::Readers) >= 0.001. Exiting.

Comment 2 Iain Arnell 2009-04-25 08:27:42 UTC
does build in mock (see the scratch build url).  The problem is that "rawhide" is currently pointing at F11 and perl-Mixin-Linewise doesn't exist there yet (the update is pending).  You need to tweak your mock configuration to include the latest F12 stuff from koji.  Something like:

[local]
name=local
baseurl=http://koji.fedoraproject.org/static-repos/dist-f12-build-current/x86_64/
cost=2000
enabled=1

Comment 3 Susi Lehtola 2009-04-25 08:51:29 UTC
Right, that's why yum --enablerepo=rawhide didn't find anything, either.

Well, in a couple of days the requirements should be in older releases as well.

Comment 4 Chris Weyl 2009-04-26 07:21:37 UTC
(In reply to comment #0)
> (and Chris, if you're reading, reviewtool refused to submit this - presumably
> because it found a review for perl-Config-IniHash - where do you want bug
> reports?)  

Yah.  The searching was a little too... inclusive :)  I just pushed out some revisions I'd been meaning to do for a while now; they should address that as well as a bunch of other bits:

http://fedorapeople.org/~cweyl/reviewtool/

Comment 5 manuel wolfshant 2009-04-26 08:49:04 UTC
After a clean yum localinstall of the packages provided in the link mentioned above, I get :

[wolfy@wolfy tmp]$ reviewtool  --help
couldn't load Fedora::App::ReviewTool::Command::import: IPC::System::Simple required for Fatalised/autodying system() at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool/Command/import.pm line 20
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.10.0/Fedora/App/ReviewTool/Command/import.pm line 20.
Compilation failed in require at (eval 2157) line 3.

[wolfy@wolfy tmp]$ rpm -q reviewtool -i
Name        : reviewtool                   Relocations: (not relocatable)
Version     : 0.07                              Vendor: (none)
Release     : 1.fc10                        Build Date: Sun 26 Apr 2009 10:06:43 AM EEST
Install Date: Sun 26 Apr 2009 11:42:12 AM EEST      Build Host: athena
Group       : Development/Libraries         Source RPM: perl-Fedora-App-ReviewTool-0.07-1.fc10.src.rpm 


And BTW (wrt Fedora::App::ReviewTool), cpio is included by default in the buildroot and your source URL points to a not yet existing source file.

Comment 6 Chris Weyl 2009-04-28 05:08:50 UTC
%summary and %description are kinda weak, but that's more upstream's issue
here.

Aside from that, looks good :)

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1318286

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
79deb0cf66c7b56c6352cfb24f34f0a7f249a2cb Config-INI-0.014.tar.gz
79deb0cf66c7b56c6352cfb24f34f0a7f249a2cb Config-INI-0.014.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Config-INI-0.014-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Config-INI-0.014-1.fc10.src.rpm
====> requires for perl-Config-INI-0.014-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Mixin::Linewise::Readers) >= 0.001
perl(Mixin::Linewise::Writers) >= 0.001
perl(Test::More)  

=====> perl-Config-INI-0.014-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Config-INI-0.014-1.fc10.noarch.rpm
perl(Config::INI) = 0.014
perl-Config-INI = 0.014-1.fc10
perl(Config::INI::Reader) = 0.014
perl(Config::INI::Writer) = 0.014
====> requires for perl-Config-INI-0.014-1.fc10.noarch.rpm
perl(Carp)  
perl(IO::File)  
perl(IO::String)  
perl(Mixin::Linewise::Readers)  
perl(Mixin::Linewise::Writers)  
perl(:MODULE_COMPAT_5.10.0)  
perl(strict)  
perl(warnings)

Comment 7 Iain Arnell 2009-04-28 05:59:28 UTC
New Package CVS Request
=======================
Package Name: perl-Config-INI
Short Description: Config::INI Perl module
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig

Comment 8 Kevin Fenzi 2009-04-29 03:08:21 UTC
cvs done.

Comment 9 Fedora Update System 2009-05-07 03:54:41 UTC
perl-Config-INI-0.014-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Config-INI-0.014-1.fc11

Comment 10 Fedora Update System 2009-05-07 03:54:46 UTC
perl-Config-INI-0.014-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Config-INI-0.014-1.fc10

Comment 11 Fedora Update System 2009-05-09 04:16:03 UTC
perl-Config-INI-0.014-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-INI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4553

Comment 12 Fedora Update System 2009-05-09 04:26:34 UTC
perl-Config-INI-0.014-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-INI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4667

Comment 13 Fedora Update System 2009-05-19 02:08:12 UTC
perl-Config-INI-0.014-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-05-19 02:12:42 UTC
perl-Config-INI-0.014-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.